#include <stdio.h>

#define MAX 10

void maksimumi(int A[][MAX], int m, int n, int out[]){
	int i, j, max;
	for(i=0; i<m; i++){ 
		max = A[i][0]; 
		for(j=1; j<n; j++) 
			if(A[i][j] > max) 
				max = A[i][j]; 
		out[i] = max; 
	}
}

int main(){
	int m, n, i, j;
	int a[MAX][MAX], nizmax[MAX];
	
	printf("Unesi broj vrsta: ");
	scanf("%d", &m);
	printf("Unesi broj kolona: ");
	scanf("%d", &n);
	if(m<1 || n<1 || m>MAX || n>MAX){ 
		printf("-1\n"); 
		return 1;
	}
	printf("Unesi elemente matrice:\n");
	for(i=0; i<m; i++)
		for(j=0; j<n; j++)
			scanf("%d", &a[i][j]); 
	
	maksimumi(a, m, n, nizmax); 
	for(i=0; i<m; i++) 
		printf("%d ", nizmax[i]);
	printf("\n");
	
	return 0;
}
